Bug 556642 - gpsd-2.94 released major update please build
Summary: gpsd-2.94 released major update please build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpsd
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-18 23:34 UTC by David
Modified: 2010-05-06 16:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-06 16:23:19 UTC


Attachments (Terms of Use)

Description David 2010-01-18 23:34:40 UTC
Description of problem:

gpsd have updated to 2.90 please build for F11, F12 and rawhide. Support for latest devices plus a change in the protocol.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Miroslav Lichvar 2010-02-05 14:47:20 UTC
I have the update prepared for commit.

Unfortunately there were significant API changes and from the client packages I tried building only one passed.

builds: vfrnav

fails: vifir viking qtgpsc gpsdrive geoclue

I'm afraid we'll have to wait for the clients to catch up.

Comment 2 Mamoru TASAKA 2010-04-07 18:33:42 UTC
Now 2.92 is released.

- I don't use gpsd, however xtide (which I maintain on Fedora) 
  development version now has some integration with gpsd >= 2.92
  (in fact GPSD_API_MAJOR_VERSION = 4) and I want to try to
  enable gpsd support on xtide.

Comment 3 David 2010-04-07 21:48:36 UTC
Gpsd list just notified 2.93 is about to release.

Is there any progress on getting 2.92 built yet? A lot of new devices and ntpd improved support are all the the 2.9x releases.

Comment 4 Miroslav Lichvar 2010-04-14 16:37:32 UTC
The situation with client packages doesn't seem to be much better. If someone familiar with the API is willing to prepare patches for the packages, that would be very helpful.

An updated gpsd package is here:
http://fedorapeople.org/~mlichvar/tmp/gpsd-2.92-1.fc14.x86_64.rpm

Comment 5 Miroslav Lichvar 2010-04-14 16:39:25 UTC
That should be:
http://fedorapeople.org/~mlichvar/tmp/gpsd-2.92-1.fc14.src.rpm

Comment 6 Mamoru TASAKA 2010-04-14 17:12:54 UTC
While I don't know if updating gpsd to 2.92 is too late for F-13,
we should definitely update gpsd to 2.92 for rawhide and announce maintainers
of packages dependening on gpsd about it.

If gpsd-dependent packages don't compile with the latest gpsd,
anyway the upstream of the packages must fix the issue.

Comment 7 Bastien Nocera 2010-04-23 16:12:33 UTC
We're shipping a year-old version of gpsd in Fedora.

The next release of geoclue will not support anything older than gpsd 2.91. If it's released before this package is updated, I'll make sure that we don't bother building gpsd support in geoclue anymore.

Comment 8 Bug Zapper 2010-04-28 11:44:04 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Miroslav Lichvar 2010-05-06 16:23:19 UTC
gpsd-2.94-1.fc14 is now in rawhide.


Note You need to log in before you can comment on or make changes to this bug.